// M Jones 2019
// mpjones@cstalk.org.uk

#include <LiquidCrystal.h>

// Initialize LCD
LiquidCrystal lcd(12, 11, 7, 6, 5, 4);

int ldrPin = A5; // assign an analog pin to the LDR
int ldrVal = 0; // initialise the value of the LDR variable
int buzzPin = 13; // buzzer pin - connect straight from breadboard to pin 13 on RedBoard. Connect other pin straight to ground

void setup() {
  lcd.begin(16, 2);
  // Print a startup message for 1/2 second
  lcd.print("Here we go .....!");
  delay(500);
  lcd.clear(); // remove startup message
}

// Display Light Reading & Send output to LCD
void loop() {
  ldrVal = analogRead(ldrPin); // get the LDR reading
  lcd.print("Light Level: "); // text to tell reader what is being displayed
  lcd.print(ldrVal); // Light level
  delay(500); // Reading taken every 1/2 second. You might want to extend this when testing water
  lcd.clear(); // Clear LCD so that next reading can be shown
  if (ldrVal < 840){  // If statement to test for light level below danger point - adjust to fit different light levels
      tone(buzzPin, 2000, 500); // Assigning pitch and duration of warning buzzer
      lcd.setCursor(0, 0); // Sets the line on which the output "Warning!!!" will display
      lcd.print("Warning!!!"); 
      lcd.setCursor(0, 1); // Sets the line on which the second line of warning will display
      lcd.print("Pollution HIGH"); // text to tell reader what is being displayed
      delay(500);
      lcd.clear(); // Clears the LCD so that the actual light reading is displayed
      lcd.setCursor(0,0);
      lcd.print("Light Level: "); 
      lcd.print(ldrVal); // Light level
      delay(500); // Reading taken every 1/2 second. You might want to extend this when testing water
      lcd.clear(); // Clear LCD so that next reading can be shown 
  }
}
